com.atid.lib.module.barcode.ssi.type

## Enum UpcEanSecurityLevel

- java.lang.Object
- - java.lang.Enum<UpcEanSecurityLevel>
  - - com.atid.lib.module.barcode.ssi.type.UpcEanSecurityLevel

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<UpcEanSecurityLevel>

      public enum UpcEanSecurityLevel
      extends java.lang.Enum<UpcEanSecurityLevel>
      implements IEnumType

  The 1D Barcode Scanner offers four levels of decode security for UPC/EAN bar codes. Increasing levels of security are provided for decreasing levels of bar code quality. Select higher levels of security for decreasing levels of bar code quality. Increasing security decreases the scan engine’s aggressiveness, so choose only that level of security necessary for the application.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Level0` This setting allows the scan engine to operate in its most aggressive state, while providing sufficient security in decoding most “in-spec” UPC/EAN bar codes.
    `Level1` As bar code quality levels diminish, certain characters become prone to misdecodes before others (i.e., 1, 2, 7, 8).
    `Level2` If misdecodes of poorly printed bar codes occur, and the misdecodes are not limited to characters 1, 2, 7, and 8, select this security level.
    `Level3` If misdecodes still occur after selecting Security Level 2, select this security level.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static UpcEanSecurityLevel` | `valueOf(int code)`
    `static UpcEanSecurityLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UpcEanSecurityLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Level0

          public static final UpcEanSecurityLevel Level0

      This setting allows the scan engine to operate in its most aggressive state, while providing sufficient security in decoding most “in-spec” UPC/EAN bar codes.

    - #### Level1

          public static final UpcEanSecurityLevel Level1

      As bar code quality levels diminish, certain characters become prone to misdecodes before others (i.e., 1, 2, 7, 8). If misdecodes of poorly printed bar codes occur, and the misdecodes are limited to these characters, select this security level.

    - #### Level2

          public static final UpcEanSecurityLevel Level2

      If misdecodes of poorly printed bar codes occur, and the misdecodes are not limited to characters 1, 2, 7, and 8, select this security level.

    - #### Level3

          public static final UpcEanSecurityLevel Level3

      If misdecodes still occur after selecting Security Level 2, select this security level. Be advised, selecting this option is an extreme measure against mis-decoding severely out of spec bar codes. Selection of this level of security significantly impairs the decoding ability of the scan engine. If this level of security is necessary, try to improve the quality of the bar codes.

  - ### Method Detail

    - #### values

          public static UpcEanSecurityLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UpcEanSecurityLevel c : UpcEanSecurityLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UpcEanSecurityLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<UpcEanSecurityLevel>`

    - #### valueOf

          public static UpcEanSecurityLevel valueOf(int code)